SoCubeDetail(3)

NAME
SoCubeDetail - The SoCubeDetail class contains information about the parts of a SoCube shape.

SYNOPSIS

#include <Inventor/details/SoCubeDetail.h>

Inherits SoDetail.

  Public Member Functions
virtual SoType getTypeId (void) const
SoCubeDetail (void)
virtual ~SoCubeDetail ()
virtual SoDetail * copy (void) const
void setPart (const int part)
int getPart (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void cleanupClass (void)
static void initClass (void)

  Protected Attributes
int part

  Additional Inherited Members

Detailed Description

The SoCubeDetail class contains information about the parts of a SoCube shape. Instances of this class are used for storing information about hit points on cone geometry after pick operations, and for storing information returned to tessellation callbacks.

The part indices are ordered from 0 to 5 as [ front, back, left, right, top, bottom ].

See also
    SoCube, SoRayPickAction, SoCallbackAction

Constructor & Destructor Documentation

  SoCubeDetail::SoCubeDetail (void)
Constructor.

  SoCubeDetail::~SoCubeDetail () [virtual]
Destructor.

Member Function Documentation

  SoType SoCubeDetail::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoDetail. This is used for runtime type checking and 'downward' casting.

Implements SoDetail.

  SoType SoCubeDetail::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  static void SoCubeDetail::cleanupClass (void) [inline], [static]
This static method cleans up static data of the class.

  SoDetail * SoCubeDetail::copy (void) const [virtual]
Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

  void SoCubeDetail::setPart (const int partarg)
Set the part of a cube which was selected. A cube has of course six different conceptual parts -- its sides.

  int SoCubeDetail::getPart (void) const
Returns selected cube part.

Member Data Documentation

  int SoCubeDetail::part [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Author

Generated automatically by Doxygen for Coin from the source code.